// mfcview.h : interface of the CMfcView class
//

class CMfcView : public CScrollView
{
protected: // create from serialization only
	CMfcView();
	DECLARE_DYNCREATE(CMfcView)

// Attributes
public:
	CMfcDoc* GetDocument()
		{
			ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMfcDoc)));
			return (CMfcDoc*) m_pDocument;
		}

// Operations
public:

// Implementation
public:
	virtual ~CMfcView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view

	virtual void OnInitialUpdate();
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView,
					CView* pDeactiveView);

// Generated message map functions
protected:
	//{{AFX_MSG(CMfcView)
	afx_msg LRESULT OnDoRealize(WPARAM wParam, LPARAM lParam);  // user message
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
